gtkmm: Gtk::CellRendererAccel Class Reference

gtkmm 2.24.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions

# Gtk::CellRendererAccel Class Reference
TreeView Classes

Renders a keyboard accelerator in a cell More...

Inheritance diagram for Gtk::CellRendererAccel:
[legend]
Collaboration diagram for Gtk::CellRendererAccel:
[legend]

List of all members.

## Public Member Functions
virtual | ~CellRendererAccel ()
GtkCellRendererAccel* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkCellRendererAccel* | gobj () const
| Provides access to the underlying C GtkObject.
| CellRendererAccel ()
Glib::SignalProxy4< void, const Glib::ustring &, guint, Gdk::ModifierType, guint > | signal_accel_edited ()
Glib::SignalProxy1< void, const Glib::ustring& > | signal_accel_cleared ()
Glib::PropertyProxy< guint > | property_accel_key ()
| The keyval of the accelerator.
Glib::PropertyProxy_ReadOnly < guint > | property_accel_key () const
| The keyval of the accelerator.
Glib::PropertyProxy < Gdk::ModifierType > | property_accel_mods ()
| The modifier mask of the accelerator.
Glib::PropertyProxy_ReadOnly < Gdk::ModifierType > | property_accel_mods () const
| The modifier mask of the accelerator.
Glib::PropertyProxy< guint > | property_keycode ()
| The hardware keycode of the accelerator.
Glib::PropertyProxy_ReadOnly < guint > | property_keycode () const
| The hardware keycode of the accelerator.
Glib::PropertyProxy < CellRendererAccelMode > | property_accel_mode ()
| The type of accelerators.
Glib::PropertyProxy_ReadOnly < CellRendererAccelMode > | property_accel_mode () const
| The type of accelerators.
## Protected Member Functions
virtual void | on_accel_edited (const Glib::ustring& path_string, guint accel_key, Gdk::ModifierType accel_mods, guint hardware_keycode)
virtual void | on_accel_cleared (const Glib::ustring& path_string)
## Related Functions
(Note that these are not member functions.)
Gtk::CellRendererAccel* | wrap (GtkCellRendererAccel* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Renders a keyboard accelerator in a cell

Gtk::CellRendererAccel displays a keyboard accelerator (i.e. a key combination like <Control>-a). If the cell renderer is editable, the accelerator can be changed by simply typing the new combination.

Since gtkmm 2.10:

## Constructor & Destructor Documentation

virtual Gtk::CellRendererAccel::~CellRendererAccel | ( |  | ) | `[virtual]`

Gtk::CellRendererAccel::CellRendererAccel | ( |  | ) |

## Member Function Documentation

GtkCellRendererAccel* Gtk::CellRendererAccel::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::CellRendererText.

const GtkCellRendererAccel* Gtk::CellRendererAccel::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::CellRendererText.

virtual void Gtk::CellRendererAccel::on_accel_cleared | ( | const Glib::ustring & | path_string | ) | `[protected, virtual]`

virtual void Gtk::CellRendererAccel::on_accel_edited | ( | const Glib::ustring & | path_string,
|  | guint | accel_key,
|  | Gdk::ModifierType | accel_mods,
|  | guint | hardware_keycode
| ) |  | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly<guint> Gtk::CellRendererAccel::property_accel_key | ( |  | ) | const

The keyval of the accelerator.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Gtk::CellRendererAccel::property_accel_key | ( |  | ) |

The keyval of the accelerator.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<CellRendererAccelMode> Gtk::CellRendererAccel::property_accel_mode | ( |  | ) | const

The type of accelerators.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<CellRendererAccelMode> Gtk::CellRendererAccel::property_accel_mode | ( |  | ) |

The type of accelerators.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gdk::ModifierType> Gtk::CellRendererAccel::property_accel_mods | ( |  | ) |

The modifier mask of the accelerator.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Gdk::ModifierType> Gtk::CellRendererAccel::property_accel_mods | ( |  | ) | const

The modifier mask of the accelerator.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Gtk::CellRendererAccel::property_keycode | ( |  | ) |

The hardware keycode of the accelerator.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Gtk::CellRendererAccel::property_keycode | ( |  | ) | const

The hardware keycode of the accelerator.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::SignalProxy1< void,const Glib::ustring& > Gtk::CellRendererAccel::signal_accel_cleared | ( |  | ) |

Prototype:
  `void on_my_accel_cleared(const Glib::ustring& path_string)`

Glib::SignalProxy4< void,const Glib::ustring&,guint,Gdk::ModifierType,guint > Gtk::CellRendererAccel::signal_accel_edited | ( |  | ) |

Prototype:
  `void on_my_accel_edited(const Glib::ustring& path_string, guint accel_key, Gdk::ModifierType accel_mods, guint hardware_keycode)`

## Friends And Related Function Documentation

Gtk::CellRendererAccel* wrap | ( | GtkCellRendererAccel * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/cellrendereraccel.h